# exercices (composants)
# ## manipulation d'une seule instance
courses_composant_show:
    path:     /show/{formation_id}/{module_id}/{lecon_id}/{activite_id}/{id}/{render_inner}/{cacher_submit_individuel}/{param_readonly}/{counter}/{counter_activite}/{with_session_reponse}
    defaults:
      _controller: CoursesBundle:Exercice:show
      prefix: ''
      formation_id: 0
      module_id: 0
      lecon_id: 0
      activite_id: 0
      render_inner: false
      cacher_submit_individuel: false
      param_readonly: false
      counter: 0
      counter_activite: 0
      with_session_reponse: true

courses_composant_create:
    path:     /create
    defaults:
        _controller: CoursesBundle:Exercice:create
        is_popin: 0

#utilisé dans addActivité... est-ce toujours d'actualité ?
courses_popin_create_composant:
    path:     /module/lesson/activity/popin-create-composant
    defaults:
        _controller: CoursesBundle:Exercice:create
        is_popin: 1

courses_popin_edit_composant:
    path:     /module/lesson/activity/popin-edit-composant/{id}
    defaults:
        _controller: CoursesBundle:Exercice:edit
        is_popin: 1

courses_popin_edit_composant_duplication_module:
    path:     /module/lesson/activity/popin-edit-composant-duplication-module/{module}/{lecon}/{activite}/{exercice}
    defaults:
        _controller: CoursesBundle:Exercice:editDuplicationModule
        is_popin: 1

courses_popin_edit_composant_duplication:
    path:     /module/lesson/activity/popin-edit-composant-duplication/{module}/{lecon}/{activite}/{exercice}
    defaults:
        _controller: CoursesBundle:Exercice:editDuplication
        is_popin: 1

courses_composant_edit:
    path:     /edit/{id}
    defaults: { _controller: CoursesBundle:Exercice:edit }

courses_composant_active:
    path:     /active/{id}
    defaults: { _controller: CoursesBundle:Exercice:activeExercice }

# ## manipulation de plusieurs instances

courses_composant_index:
    path:     /
    defaults:
      _controller: CoursesBundle:Exercice:index
      filtre_active: true

courses_composant_index_desactive:
    path:     /index_desactive
    defaults:
      _controller: CoursesBundle:Exercice:index
      filtre_active: false

#pour lister en JSON, pour DataTables
courses_composant_index_json:
    path: /index_json
    defaults: { _controller: CoursesBundle:Exercice:jsonlist }

#utilisé par Modules/settings
courses_composants_list_active:
  path:     /list-active/{id}
  defaults: { _controller: CoursesBundle:Exercice:listActive }

# note: paramètre est un identifiant d'activité
courses_composants_list_active_json:
  path:     /list-active-json/{id}
  defaults: { _controller: CoursesBundle:Exercice:listActiveJson }